Payment card intelligence
BIN Check
Resolve card network, funding type, issuer, tier, and issuing country from the first 6–8 digits.
POST
/bin- Service
- BIN Check
- Billing
- On success
01
Request
binrequiredstringExactly 6–8 decimal digits.
curl https://api.finap.uk/api/v1/bin -X POST \
-H "Authorization: Bearer $FINAP_API_KEY" \
-H "Content-Type: application/json" \
-d '{"bin":"424242"}'02
Response fields
binstringThe submitted BIN.
schemestring | nullCard network such as visa or mastercard.
typestring | nullFunding type such as debit, credit, or prepaid.
categorystring | nullProduct tier or category.
issuerstring | nullIssuing institution name.
countryobject | nullISO alpha-2 code and full country name.
luhnStatusstring | nullLuhn metadata returned by the data source.
durationMsnumberServer processing duration.